#
# spec file for package ntfsprogs (Version 1.11.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex fuse fuse-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ntfsprogs
BuildRequires:  fuse-devel libgcrypt-devel pkgconfig
License:        GPL
Group:          System/Filesystems
Autoreqprov:    on
Version:        1.11.2
Release:        15.2
Summary:        NTFS filesystem libraries and utilities
URL:            http://linux-ntfs.sf.net/
Source:         %name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full
support for the NTFS filesystem to the Linux operating system.	The
ntfsprogs package currently consists of a static library and utilities
such as mkntfs, ntfscat, ntfsls, ntfsresize, and ntfsundelete (for a
full list of included utilities see man 8 ntfsprogs after
installation).



Authors:
--------
    Linux-NTFS is written and maintained by Anton Altaparmakov <aia21@cantab.net>.
    
    Current active developers on the project are (in alphabetical order):
    
            Anton Altaparmakov <aia21@cantab.net>
            Matthew J. Fanto <fanto1mj@cmich.edu>
            Richard Russon <ntfs@flatcap.org>
            Szakacsits Szabolcs <szaka@sienet.hu>

%debug_package
%package fuse
Summary:        NTFS mount utility
Group:          System/Filesystems

%description fuse
This package contains the needed user space application to mount NTFS
partitions via fuse.



Authors:
--------
    Linux-NTFS is written and maintained by Anton Altaparmakov <aia21@cantab.net>.
    
    Current active developers on the project are (in alphabetical order):
    
            Anton Altaparmakov <aia21@cantab.net>
            Matthew J. Fanto <fanto1mj@cmich.edu>
            Richard Russon <ntfs@flatcap.org>
            Szakacsits Szabolcs <szaka@sienet.hu>

%package devel
Summary:        files required to compile software that uses libntfs
Group:          System/Filesystems

%description devel
This package includes the header files and libraries needed to link
software with the NTFS library (libntfs).



Authors:
--------
    Linux-NTFS is written and maintained by Anton Altaparmakov <aia21@cantab.net>.
    
    Current active developers on the project are (in alphabetical order):
    
            Anton Altaparmakov <aia21@cantab.net>
            Matthew J. Fanto <fanto1mj@cmich.edu>
            Richard Russon <ntfs@flatcap.org>
            Szakacsits Szabolcs <szaka@sienet.hu>

%prep
%setup -q -n %name-%version

%build
autoreconf -i -f
PKG_CONFIG=pkg-config \
CFLAGS="$RPM_OPT_FLAGS $CFLAGS" \
./configure \
  --mandir=%_mandir \
  --libdir=%_libdir \
  --prefix=/usr/ \
  --disable-gnome-vfs \
  --enable-fuse-module

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_docdir/%name/
cp -a doc README TODO.* ChangeLog COPYING NEWS \
      $RPM_BUILD_ROOT/%_docdir/%name/

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%dir %_docdir/%name
%_docdir/%name/README
%_docdir/%name/ChangeLog
%_docdir/%name/COPYING
%_docdir/%name/NEWS
/usr/bin/ntfscat
/usr/bin/ntfscluster
/usr/bin/ntfsfix
/usr/bin/ntfsinfo
/usr/bin/ntfsls
/usr/sbin/*
/%{_libdir}/libntfs.so.*
%{_mandir}/man8/*

%files devel
%defattr(-,root,root)
%_docdir/%name/doc
%_docdir/%name/TODO.*
/usr/include/ntfs
%_libdir/libntfs.a
%_libdir/libntfs.la
%_libdir/libntfs.so

%files fuse
%defattr(-,root,root)
/usr/bin/ntfsmount

%changelog -n ntfsprogs
* Tue Mar 28 2006 - adrian@suse.de
- move ntfsmount into own sub package
* Mon Mar 27 2006 - adrian@suse.de
- build also ntfsmount for fuse (#117665)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 24 2005 - cadaha@suse.de
- update to version 1.11.2 (#112725)
* Thu Jul 28 2005 - cadaha@suse.de
- update to version 1.11.1
* Wed Oct 13 2004 - adrian@suse.de
- update to version 1.9.4
* Tue Jul 06 2004 - adrian@suse.de
- update to version 1.9.2
* Thu Mar 11 2004 - cadaha@suse.de
- update from beta snapshot to stable version 1.9.0
- remove bswap patch (merged upstream)
- remove disable-gnome-vfs patch, use a configure switch instead
* Tue Mar 09 2004 - meissner@suse.de
- If we do not have constant bswap macros supplied by glibc,
  define our own. (ppc, ppc64)
* Sat Mar 06 2004 - adrian@suse.de
- update to special snapshot from Anton (200403061808)
* Sat Mar 06 2004 - adrian@suse.de
- update to pre 1.9 snapshot (200403052319)
* Wed Mar 03 2004 - adrian@suse.de
- update to version 1.8.5
* Mon Dec 08 2003 - adrian@suse.de
- update to version 1.8.0
* Thu Oct 30 2003 - adrian@suse.de
- fix typo in error message (#28560)
* Tue Oct 14 2003 - meissner@suse.de
- autoreconf -i -f
* Tue Oct 07 2003 - ro@suse.de
- fix build with current includes (SCSI_DISK_MAJOR not defined)
* Mon Jun 16 2003 - coolo@suse.de
- fix build on lib64
- removed spacing again
* Mon Jun 16 2003 - coolo@suse.de
- package directories
* Mon May 26 2003 - adrian@suse.de
- split -devel package for development files
- use head -n
* Sat Feb 15 2003 - adrian@suse.de
- update to version 1.7.1
  * urgent bugfixes
* Sun Feb 09 2003 - adrian@suse.de
- fix build for lib64
* Thu Jan 30 2003 - adrian@suse.de
- initial package of version 1.7.0beta
